public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-misc/boinc/
Date: Thu,  6 Dec 2018 21:20:59 +0000 (UTC)	[thread overview]
Message-ID: <1544131251.0e3d1743848c7347c182bb1fd9a5b03fab777ead.candrews@gentoo> (raw)

commit:     0e3d1743848c7347c182bb1fd9a5b03fab777ead
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  5 04:21:23 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Dec  6 21:20:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e3d1743

sci-misc/boinc: Add -9999 live version

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 sci-misc/boinc/boinc-9999.ebuild | 192 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 192 insertions(+)

diff --git a/sci-misc/boinc/boinc-9999.ebuild b/sci-misc/boinc/boinc-9999.ebuild
new file mode 100644
index 00000000000..0d45457bf43
--- /dev/null
+++ b/sci-misc/boinc/boinc-9999.ebuild
@@ -0,0 +1,192 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER=3.0-gtk3
+
+inherit autotools gnome2-utils linux-info systemd user wxwidgets
+
+DESCRIPTION="The Berkeley Open Infrastructure for Network Computing"
+HOMEPAGE="https://boinc.ssl.berkeley.edu/"
+
+SRC_URI="X? ( https://boinc.berkeley.edu/logo/boinc_glossy2_512_F.tif -> ${PN}.tif )"
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/BOINC/${PN}.git"
+	inherit git-r3
+else
+	MY_PV="7.14"
+	SRC_URI+=" https://github.com/BOINC/boinc/archive/client_release/${MY_PV}/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+	S="${WORKDIR}/${PN}-client_release-${MY_PV}-${PV}"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="X cuda curl_ssl_gnutls curl_ssl_libressl +curl_ssl_openssl"
+
+REQUIRED_USE="^^ ( curl_ssl_gnutls curl_ssl_libressl curl_ssl_openssl ) "
+
+# libcurl must not be using an ssl backend boinc does not support.
+# If the libcurl ssl backend changes, boinc should be recompiled.
+COMMON_DEPEND="
+	>=app-misc/ca-certificates-20080809
+	cuda? (
+		>=dev-util/nvidia-cuda-toolkit-2.1
+		>=x11-drivers/nvidia-drivers-180.22
+	)
+	net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_libressl(-)=,-curl_ssl_nss(-),curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-)]
+	sys-apps/util-linux
+	sys-libs/zlib
+	X? (
+		dev-db/sqlite:3
+		media-libs/freeglut
+		virtual/jpeg:0=
+		x11-libs/gtk+:3
+		>=x11-libs/libnotify-0.7
+		x11-libs/wxGTK:${WX_GTK_VER}[X,opengl,webkit]
+	)
+"
+DEPEND="${RDEPEND}
+	app-text/docbook-xml-dtd:4.4
+	app-text/docbook2X
+	sys-devel/gettext
+	X? ( virtual/imagemagick-tools[png,tiff] )
+"
+RDEPEND="${COMMON_DEPEND}
+	!app-admin/quickswitch
+"
+
+PATCHES=(
+	# >=x11-libs/wxGTK-3.0.2.0-r3 has webview removed, bug 587462
+	"${FILESDIR}"/fix_webview.patch
+)
+
+pkg_setup() {
+	# Bug 578750
+	if use kernel_linux; then
+		linux-info_pkg_setup
+		if ! linux_config_exists; then
+			ewarn "Can't check the linux kernel configuration."
+			ewarn "You might be missing vsyscall support."
+		elif kernel_is -ge 4 4 \
+			&& linux_chkconfig_present LEGACY_VSYSCALL_NONE; then
+			ewarn "You do not have vsyscall emulation enabled."
+			ewarn "This will prevent some boinc projects from running."
+			ewarn "Please enable vsyscall emulation:"
+			ewarn "    CONFIG_LEGACY_VSYSCALL_EMULATE=y"
+			ewarn "in /usr/src/linux/.config, to be found at"
+			ewarn "    Processor type and features --->"
+			ewarn "        vsyscall table for legacy applications (None) --->"
+			ewarn "            (X) Emulate"
+			ewarn "Alternatively, you can enable CONFIG_LEGACY_VSYSCALL_NATIVE."
+			ewarn "However, this has security implications and is not recommended."
+		fi
+	fi
+}
+
+src_prepare() {
+	default
+
+	# prevent bad changes in compile flags, bug 286701
+	sed -i -e "s:BOINC_SET_COMPILE_FLAGS::" configure.ac || die "sed failed"
+
+	eautoreconf
+
+	use X && need-wxwidgets unicode
+}
+
+src_configure() {
+	econf --disable-server \
+		--enable-client \
+		--enable-dynamic-client-linkage \
+		--disable-static \
+		--enable-unicode \
+		--with-ssl \
+		$(use_with X x) \
+		$(use_enable X manager) \
+		$(usex X --with-wx-config="${WX_CONFIG}" --without-wxdir)
+}
+
+src_install() {
+	default
+
+	keepdir /var/lib/${PN}
+
+	if use X; then
+		# Create new icons. bug 593362
+		local s SIZES=(16 22 24 32 36 48 64 72 96 128 192 256)
+		for s in "${SIZES[@]}"; do
+			convert "${DISTDIR}"/${PN}.tif -resize ${s}x${s} "${WORKDIR}"/boinc_${s}.png || die
+			newicon -s $s "${WORKDIR}"/boinc_${s}.png boinc.png
+		done
+		make_desktop_entry boincmgr "${PN}" "${PN}" "Math;Science" "Path=/var/lib/${PN}"
+
+		# Rename the desktop file to boincmgr.desktop to (hot)fix bug 599910
+		mv "${ED%/}"/usr/share/applications/boincmgr{-${PN},}.desktop || \
+			die "Failed to rename desktop file"
+	fi
+
+	# cleanup cruft
+	rm -rf "${ED%/}"/etc || die "rm failed"
+	find "${D}" -name '*.la' -delete || die "Removing .la files failed"
+
+	sed -e "s/@libdir@/$(get_libdir)/" "${FILESDIR}"/${PN}.init.in > ${PN}.init || die
+	newinitd ${PN}.init ${PN}
+	newconfd "${FILESDIR}"/${PN}.conf ${PN}
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+
+	enewgroup ${PN}
+	# note this works only for first install so we have to
+	# elog user about the need of being in video group
+	local groups="${PN}"
+	groups+=",video"
+	enewuser ${PN} -1 -1 /var/lib/${PN} "${groups}"
+}
+
+pkg_postinst() {
+	if [[ -n ${GNOME2_ECLASS_ICONS} ]]; then
+		gnome2_icon_cache_update
+	fi
+
+	elog
+	elog "You are using the source compiled version of boinc."
+	use X && elog "The graphical manager can be found at /usr/bin/boincmgr"
+	elog
+	elog "You need to attach to a project to do anything useful with boinc."
+	elog "You can do this by running /etc/init.d/boinc attach"
+	elog "The howto for configuration is located at:"
+	elog "http://boinc.berkeley.edu/wiki/Anonymous_platform"
+	elog
+	# Add warning about the new password for the client, bug 121896.
+	if use X; then
+		elog "If you need to use the graphical manager the password is in:"
+		elog "/var/lib/boinc/gui_rpc_auth.cfg"
+		elog "Where /var/lib/ is default RUNTIMEDIR, that can be changed in:"
+		elog "/etc/conf.d/boinc"
+		elog "You should change this password to something more memorable (can be even blank)."
+		elog "Remember to launch init script before using manager. Or changing the password."
+		elog
+	fi
+	elog "To be able to use CUDA or OpenCL you should add the boinc user to the video group."
+	elog "Run as root:"
+	elog "gpasswd -a boinc video"
+	elog
+	# Add information about BOINC supporting OpenCL
+	elog "BOINC supports OpenCL. To use it you have to eselect"
+	if use cuda; then
+		elog "nvidia as the OpenCL implementation, as you are using CUDA."
+	else
+		elog "the correct OpenCL implementation for your graphic card."
+	fi
+	elog
+}
+
+pkg_postrm() {
+	if [[ -n ${GNOME2_ECLASS_ICONS} ]]; then
+		gnome2_icon_cache_update
+	fi
+}


             reply	other threads:[~2018-12-06 21:21 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-06 21:20 Craig Andrews [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-22 19:14 [gentoo-commits] repo/gentoo:master commit in: sci-misc/boinc/ Pacho Ramos
2024-04-12 13:08 Joonas Niilola
2024-04-11 21:34 Sam James
2024-04-11 16:46 Sam James
2024-04-11 16:37 Arthur Zamarin
2023-11-25  5:46 Sam James
2023-10-17  7:29 Andrew Ammerlaan
2023-10-17  7:29 Andrew Ammerlaan
2023-09-25  8:06 Andrew Ammerlaan
2023-06-09 15:45 Arthur Zamarin
2023-06-09 14:29 Sam James
2023-06-09 14:10 Arthur Zamarin
2023-06-03 11:15 Arthur Zamarin
2023-05-06  9:51 Arthur Zamarin
2023-04-14 19:45 Sam James
2023-04-14 19:45 Sam James
2023-04-14 19:33 Sam James
2023-04-14 19:33 Sam James
2023-04-14 19:09 Florian Schmaus
2023-04-14  8:58 Arthur Zamarin
2022-12-30 23:39 Conrad Kostecki
2022-08-09 13:12 Craig Andrews
2022-08-01  8:35 Florian Schmaus
2022-08-01  8:35 Florian Schmaus
2022-08-01  8:35 Florian Schmaus
2022-08-01  8:35 Florian Schmaus
2022-08-01  8:35 Florian Schmaus
2022-04-25  6:37 Florian Schmaus
2022-04-23 10:33 Joonas Niilola
2022-04-23 10:24 Florian Schmaus
2022-04-23 10:24 Florian Schmaus
2022-04-23 10:24 Florian Schmaus
2021-10-06  8:33 Jakov Smolić
2021-07-08  9:38 Joonas Niilola
2021-07-08  9:38 Joonas Niilola
2021-07-08  9:38 Joonas Niilola
2021-05-01 18:07 Sam James
2021-04-24 12:52 David Seifert
2021-04-24 12:52 David Seifert
2021-04-24 12:52 David Seifert
2021-04-04 20:21 David Seifert
2021-01-30 10:26 Sam James
2021-01-18 13:38 Joonas Niilola
2021-01-18 13:38 Joonas Niilola
2021-01-18 13:38 Joonas Niilola
2020-08-24 17:45 Jonas Stein
2018-12-06 21:20 Craig Andrews
2018-04-24 21:57 Andreas Sturmlechner
2018-02-11 11:12 Michał Górny
2017-12-27 11:56 Mart Raudsepp
2017-12-27 11:56 Mart Raudsepp
2017-12-21 10:47 Mart Raudsepp
2017-12-21 10:47 Mart Raudsepp
2017-12-20 20:13 Craig Andrews
2017-11-02 11:39 Mart Raudsepp
2017-09-22 13:48 Michael Palimaka
2017-08-19 19:01 Michał Górny
2017-08-19 19:01 Michał Górny
2017-06-09 15:57 Anthony G. Basile
2017-06-04 17:03 Michał Górny
2017-02-17 11:28 Michael Palimaka
2017-01-04 13:42 David Seifert
2017-01-04 13:42 David Seifert
2016-11-12 15:39 David Seifert
2016-11-12 15:39 David Seifert
2016-11-12 15:39 David Seifert
2016-06-14 19:10 David Seifert
2016-06-14 19:10 David Seifert
2016-06-14 19:10 David Seifert
2016-05-07 22:32 David Seifert
2016-05-07 22:32 David Seifert
2016-05-07 22:32 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-05-04 22:01 David Seifert
2016-03-20 20:08 David Seifert
2015-09-09 18:53 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1544131251.0e3d1743848c7347c182bb1fd9a5b03fab777ead.candrews@gentoo \
    --to=candrews@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox